ranch:set_max_connections(3)

NAME

ranch:set_max_connections - Set the max number of connections per connection supervisor

DESCRIPTION
    set_max_connections(Ref      :: ranch:ref(),
                        MaxConns :: ranch:max_conns())
        -> ok

Set the max number of connections per connection supervisor.

The change will be applied immediately. If the new value is smaller than the previous one, Ranch will wait for the extra connections to terminate and will not accept new connections until the number of connections goes below the limit.

ARGUMENTS

Ref
    The listener name.

MaxConns
    The new maximum number of connections per connection supervisor.

RETURN VALUE

The atom ok is always returned. It can be safely ignored.

CHANGELOG
    • 2.0: The maximum number of connections is now per connection supervisor.

EXAMPLES

Set the max number of connections per connection supervisor
    ranch:set_max_connections(example, 10000).

SEE ALSO

ranch:get_max_connections(3), ranch:set_protocol_options(3), ranch:set_transport_options(3), ranch(3)